<!-- <div class="animated fadeIn">
  <div class="row">
    <div class="col-sm-12">
      <div class="card card-accent-primary">
        <div class="card-header" style="font-weight: bold;">Register LSP</div>
          <div class="card-body"> -->

              <div class="container">
                  <div class="row">
                  <div class="col-sm-0.5"></div>

                  <div class="col-sm-11">
                      <mat-toolbar class="bg-darkp-3 mb-2 bg-dark text-white">Add LSP</mat-toolbar>
                    <mat-card class="example-card">

                      <mat-card-content>
            <form [formGroup]="registerLspForm" (ngSubmit)="onSubmit()">

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="name">Name of LSP
                  <span class="req">*</span>
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="name"
                    placeholder="Enter Name of LSP">
                    <div *ngIf="registerLspForm.get('name').invalid && registerLspForm.get('name').touched"
                      class="alert alert-danger">

                      <div *ngIf="registerLspForm.get('name').errors.required">
                        This field is required.
                      </div>
                    </div>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Name of LSP
                    </mat-label>
                  <input matInput placeholder="Enter Name of LSP"  formControlName="name" class="formControl"/>
                  <mat-error *ngIf="!!registerLspForm.get('name').hasError('required')"
                  >This field is required</mat-error
                >
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="partnerName">Registered Person's Name
                  <span class="req">*</span>
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="partnerName"
                    placeholder="Enter Name Of Registered Person">
                    <div *ngIf="registerLspForm.get('partnerName').invalid && registerLspForm.get('partnerName').touched"
                      class="alert alert-danger">

                      <div *ngIf="registerLspForm.get('partnerName').errors.required">
                        This field is required.
                      </div>
                    </div>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Register Person's Name
                    </mat-label>
                  <input matInput placeholder="Enter Name of Registered Person"  formControlName="partnerName" class="formControl"/>
                  <mat-error *ngIf="!!registerLspForm.get('partnerName').hasError('required')"
                  >This field is required</mat-error
                >
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="address">LSP Address
                  <span class="req">*</span>
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="address"
                    placeholder="Enter LSP's Address">
                    <div *ngIf="registerLspForm.get('address').invalid && registerLspForm.get('address').touched"
                      class="alert alert-danger">

                      <div *ngIf="registerLspForm.get('address').errors.required">
                        This field is required.
                      </div>
                    </div>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> LSP Address
                    </mat-label>
                  <input matInput placeholder="Enter LSP's Address"  formControlName="address" class="formControl"/>
                  <mat-error *ngIf="!!registerLspForm.get('address').hasError('required')"
                  >This field is required</mat-error
                >
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="phone">Mobile Number
                  <span class="req">*</span>
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="phone"
                    placeholder="Enter Mobile Number"
                    maxlength="10">
                    <div *ngIf="registerLspForm.get('phone').invalid && registerLspForm.get('phone').touched"
                      class="alert alert-danger">

                      <div *ngIf="registerLspForm.get('phone').errors.required">
                        This field is required.
                      </div>
                      <div *ngIf="registerLspForm.get('phone').errors.pattern">
                        Only Positive Integers are allowed.
                      </div>
                      <div *ngIf="registerLspForm.get('phone').errors.exactLength">
                        Phone Number should be of exact 10 digits.
                      </div>
                    </div>
                </div>
              </div> -->


              <mat-form-field class="form-group">
                  <mat-label> Mobile Number
                    </mat-label>
                  <input matInput placeholder="Enter Mobile Number" maxlength="10" formControlName="phone" class="formControl"/>
                  <mat-error *ngIf="!!registerLspForm.get('phone').hasError('required')"
                  >This field is required</mat-error
                >
                <mat-error *ngIf="!!registerLspForm.get('phone').hasError('pattern')"
                  >Only Positive Integers are allowed</mat-error
                >
                <mat-error *ngIf="!!registerLspForm.get('phone').hasError('exactLength')"
                  >Phone Number should be of exact 10 digits</mat-error
                >
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="gst">GSTN
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="gst"
                    placeholder="Enter GST Number">
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> GST Number
                    </mat-label>
                  <input matInput placeholder="Enter GST Number"  formControlName="gst" class="formControl"/>
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="accNum">Account Number
                  <span class="req">*</span>
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="accNum"
                    placeholder="Enter Account Number">
                    <div *ngIf="registerLspForm.get('accNum').invalid && registerLspForm.get('accNum').touched"
                      class="alert alert-danger">

                      <div *ngIf="registerLspForm.get('accNum').errors.required">
                        This field is required.
                      </div>
                    </div>
                </div>
              </div> -->
              <mat-form-field class="form-group">
                  <mat-label> Account Number
                    </mat-label>
                  <input matInput placeholder="Enter Account Number"  formControlName="accNum" class="formControl"/>
                  <mat-error *ngIf="!!registerLspForm.get('accNum').hasError('required')"
                  >This field is required</mat-error
                >
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="bankName">Bank Name
                  <span class="req">*</span>
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="bankName"
                    placeholder="Enter Bank Name">
                    <div *ngIf="registerLspForm.get('bankName').invalid && registerLspForm.get('bankName').touched"
                      class="alert alert-danger">

                      <div *ngIf="registerLspForm.get('bankName').errors.required">
                        This field is required.
                      </div>
                    </div>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Bank Name
                    </mat-label>
                  <input matInput placeholder="Enter Bank Name"  formControlName="bankName" class="formControl"/>
                  <mat-error *ngIf="!!registerLspForm.get('bankName').hasError('required')"
                  >This field is required</mat-error
                >
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="bankAddress">Bank Address
                  <span class="req">*</span>
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="bankAddress"
                    placeholder="Enter Bank Address">
                    <div *ngIf="registerLspForm.get('bankAddress').invalid && registerLspForm.get('bankAddress').touched"
                      class="alert alert-danger">

                      <div *ngIf="registerLspForm.get('bankAddress').errors.required">
                        This field is required.
                      </div>
                    </div>
                </div>
              </div> -->
              <mat-form-field class="form-group">
                  <mat-label> Bank Address
                    </mat-label>
                  <input matInput placeholder="Enter Bank Address"  formControlName="bankAddress" class="formControl"/>
                  <mat-error *ngIf="!!registerLspForm.get('bankAddress').hasError('required')"
                  >This field is required</mat-error
                >
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="ifsc">Bank IFSC Code
                  <span class="req">*</span>
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="ifsc"
                    placeholder="Enter Bank IFSC Code">
                    <div *ngIf="registerLspForm.get('ifsc').invalid && registerLspForm.get('ifsc').touched"
                      class="alert alert-danger">

                      <div *ngIf="registerLspForm.get('ifsc').errors.required">
                        This field is required.
                      </div>
                    </div>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Bank IFSC Code
                    </mat-label>
                  <input matInput placeholder="Enter Bank IFSC Code"  formControlName="ifsc" class="formControl"/>
                  <mat-error *ngIf="!!registerLspForm.get('ifsc').hasError('required')"
                  >This field is required</mat-error
                >
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="pan">Permanent Account Number (PAN)
                  <span class="req">*</span>
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="pan"
                    placeholder="Enter PAN">
                    <div *ngIf="registerLspForm.get('pan').invalid && registerLspForm.get('pan').touched"
                      class="alert alert-danger">

                      <div *ngIf="registerLspForm.get('pan').errors.required">
                        This field is required.
                      </div>

                      <div *ngIf="registerLspForm.get('pan').errors.pattern">
                        Enter Valid PAN.
                      </div>
                    </div>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Permanent Account Number (PAN)
                    </mat-label>
                  <input matInput placeholder="Enter PAN"  formControlName="pan" class="formControl"/>
                  <mat-error *ngIf="!!registerLspForm.get('pan').hasError('required')"
                  >This field is required</mat-error
                >
                <mat-error *ngIf="!!registerLspForm.get('pan').hasError('pattern')"
                  >Enter Valid PAN</mat-error
                >
              </mat-form-field>

              <!-- <div class= "form-group row">
                <label class="col-sm-6" for="dateOfSetup">Date of Incorporation
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="dateOfSetup"
                    placeholder="Select Date of Incorporation"
                    [maxDate]="maxDate"
                    readonly="readonly"
                    #dpYMD="bsDatepicker"
                    bsDatepicker
                    [bsConfig]="{ dateInputFormat: 'YYYY-MM-DD',containerClass:'theme-blue' }"

                    >
                    </div>
                  </div> -->
                  <mat-form-field class="form-group">
                      <input
                        matInput
                        [matDatepicker]="picker1"
                        formControlName="dateOfSetup"
                        readonly="readonly"
                        placeholder="Select Date of Incorporation"
                        [max]="maxDate"
                      />
                      <mat-label>Date of Incorporation</mat-label>
                      <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
                      <mat-datepicker #picker1 disabled="false"></mat-datepicker>
                    </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="transactionType">Transaction Type
                  <span class="req">*</span>
                </label>
                <div class="col-sm-6">
                  <select
                    formControlName="transactionType"
                    class="form-control"
                    >
                    <option value="-1">- Click to Select Transaction Type -</option>
                    <option
                      *ngFor="let tran of transOptions"
                       value="{{ tran.value }}">{{ tran.label }}</option>
                  </select>
                    <div *ngIf="registerLspForm.get('transactionType').invalid && registerLspForm.get('transactionType').touched"
                          class="alert alert-danger">

                      <div *ngIf="registerLspForm.get('transactionType').errors.min">
                        Please select Transaction Type
                      </div>
                    </div>
                </div>
              </div> -->
              <mat-form-field class="form-group">
                  <mat-label> Transaction Type </mat-label>
                  <mat-select formControlName="transactionType" >
                    <!-- <mat-option value="-1"
                      >----Click to Select Vehicle Type----</mat-option> -->

                    <mat-option *ngFor="let t of transOptions" value= "{{t.value}}">{{ t.label }}</mat-option>
                  </mat-select>
                  <mat-error *ngIf="registerLspForm.get('transactionType').hasError('min')">
                      Please select Transaction Type
                  </mat-error>
                </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="totalArea">Total Build up Area
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="totalArea"
                    placeholder="Enter Build Up Area">
                </div>
              </div> -->
              <mat-form-field class="form-group">
                  <mat-label> Total Build up Area
                    </mat-label>
                  <input matInput placeholder="Enter Build Up Area"  formControlName="totalArea" class="formControl"/>
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="sourceOfPow">Source of Electricity
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="sourceOfPow"
                    placeholder="Enter Source of Electricity"
                    >
                </div>
              </div> -->
              <mat-form-field class="form-group">
                  <mat-label> Source Of Electricity
                    </mat-label>
                  <input matInput placeholder="Enter Source of Electricity"  formControlName="sourceOfPow" class="formControl"/>
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="numOfBattery">Number of Batteries Taken
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="numOfBattery"
                    placeholder="Enter Number of Batteries Taken"
                    >
                    <div *ngIf="registerLspForm.get('numOfBattery').invalid && registerLspForm.get('numOfBattery').touched"
                      class="alert alert-danger">

                      <div *ngIf="registerLspForm.get('numOfBattery').errors.pattern">
                        Only Positive Integers are allowed.
                      </div>
                    </div>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Number of Batteries Taken
                    </mat-label>
                  <input matInput placeholder="Enter Number of Batteries Taken"  formControlName="numOfBattery" class="formControl"/>
                  <mat-error *ngIf="!!registerLspForm.get('numOfBattery').hasError('pattern')"
                  >Only Positive Integers are allowed</mat-error
                >
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="numOfCharger">Number of Chargers Taken
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="numOfCharger"
                    placeholder="Enter Number of Chargers Taken"
                    >
                    <div *ngIf="registerLspForm.get('numOfCharger').invalid && registerLspForm.get('numOfCharger').touched"
                      class="alert alert-danger">

                      <div *ngIf="registerLspForm.get('numOfCharger').errors.pattern">
                        Only Positive Integers are allowed.
                      </div>
                    </div>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Number of Chargers Taken
                    </mat-label>
                  <input matInput placeholder="Enter Number of Chargers Taken"  formControlName="numOfCharger" class="formControl"/>

                <mat-error *ngIf="!!registerLspForm.get('numOfCharger').hasError('pattern')"
                  >Only Positive Integers are allowed</mat-error
                >
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="secDeposit">Security Deposit
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="secDeposit"
                    placeholder="Enter Amount of Security Deposit"
                    >
                    <div *ngIf="registerLspForm.get('secDeposit').invalid && registerLspForm.get('secDeposit').touched"
                      class="alert alert-danger">

                      <div *ngIf="registerLspForm.get('secDeposit').errors.pattern">
                        Only Numbers are allowed.
                      </div>
                    </div>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Security Deposit
                    </mat-label>
                  <input matInput placeholder="Enter Amount of Security Deposit"  formControlName="secDeposit" class="formControl"/>

                <mat-error *ngIf="!!registerLspForm.get('secDeposit').hasError('pattern')"
                  >Only numbers are allowed</mat-error
                >
              </mat-form-field>
              <!-- <div class="form-group row">
                <label class="col-sm-6" for="secDepCollected">Security Deposit Collected
                </label>
                <div class="col-sm-6">
                  <select
                    formControlName="secDepCollected"
                    class="form-control"
                    >
                    <option value="">- Click to Select -</option>
                    <option
                      *ngFor="let r of radioOptions"
                       value="{{ r.value }}">{{ r.label }}</option>
                  </select>
                </div>
              </div> -->
              <mat-form-field class="form-group">
                  <mat-label> Security Deposit Collected </mat-label>
                  <mat-select formControlName="secDepCollected" >
                    <!-- <mat-option value="-1"
                      >----Click to Select Vehicle Type----</mat-option> -->

                    <mat-option *ngFor="let t of radioOptions" value= "{{t.value}}">{{ t.label }}</mat-option>
                  </mat-select>
                </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="depositedBy">Deposited By
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="depositedBy"
                    placeholder="Enter Name"
                    >
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Deposited By
                    </mat-label>
                  <input matInput placeholder="Enter Name"  formControlName="depositedBy" class="formControl"/>
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="isPartialDep">Partial Deposit
                </label>
                <div class="col-sm-6">
                  <select
                    formControlName="isPartialDep"
                    class="form-control"
                    >
                    <option value="">- Click to Select -</option>
                    <option
                      *ngFor="let r of radioOptions"
                       value="{{ r.value }}">{{ r.label }}</option>
                  </select>
                </div>
              </div> -->
              <mat-form-field class="form-group">
                  <mat-label> Partial Deposit </mat-label>
                  <mat-select formControlName="isPartialDep" >
                    <!-- <mat-option value="-1"
                      >----Click to Select Vehicle Type----</mat-option> -->

                    <mat-option *ngFor="let t of radioOptions" value= "{{t.value}}">{{ t.label }}</mat-option>
                  </mat-select>
                </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="depAmount">Deposited Amount
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="depAmount"
                    placeholder="Enter Amount of Security Deposited"
                    >
                    <div *ngIf="registerLspForm.get('depAmount').invalid && registerLspForm.get('depAmount').touched"
                      class="alert alert-danger">

                      <div *ngIf="registerLspForm.get('depAmount').errors.pattern">
                        Only Numbers are allowed.
                      </div>
                    </div>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Deposited Amount
                    </mat-label>
                  <input matInput placeholder="Enter Amount of Security Deposited"  formControlName="depAmount" class="formControl"/>

                <mat-error *ngIf="!!registerLspForm.get('depAmount').hasError('pattern')"
                  >Only numbers are allowed</mat-error
                >
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="emiTenure">EMI Tenure
                </label>
                <div class="col-sm-6">
                  <input
                    type="number"
                    class="form-control"
                    formControlName="emiTenure"
                    placeholder="Enter EMI Tenure"
                    min="1">
                    <div *ngIf="registerLspForm.get('emiTenure').invalid && registerLspForm.get('emiTenure').touched"
                      class="alert alert-danger">

                      <div *ngIf="registerLspForm.get('emiTenure').errors.pattern">
                        Only Numbers are allowed.
                      </div>
                    </div>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> EMI Tenure
                    </mat-label>
                  <input matInput placeholder="Enter EMI Tenure"  formControlName="emiTenure" class="formControl"/>

                <mat-error *ngIf="!!registerLspForm.get('emiTenure').hasError('pattern')"
                  >Only numbers are allowed</mat-error
                >
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="emiAmount">EMI Amount
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="emiAmount"
                    placeholder="Enter EMI Amount"
                    >
                    <div *ngIf="registerLspForm.get('emiAmount').invalid && registerLspForm.get('emiAmount').touched"
                      class="alert alert-danger">

                      <div *ngIf="registerLspForm.get('emiAmount').errors.pattern">
                        Only Numbers are allowed.
                      </div>
                    </div>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> EMI Amount
                    </mat-label>
                  <input matInput placeholder="Enter EMI Amount"  formControlName="emiAmount" class="formControl"/>

                <mat-error *ngIf="!!registerLspForm.get('emiAmount').hasError('pattern')"
                  >Only numbers are allowed</mat-error
                >
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="noOfOperator">Number of Operators
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="noOfOperator"
                    placeholder="Enter Number of Operator"
                    >
                    <div *ngIf="registerLspForm.get('noOfOperator').invalid && registerLspForm.get('noOfOperator').touched"
                      class="alert alert-danger">

                      <div *ngIf="registerLspForm.get('noOfOperator').errors.pattern">
                        Only Positive Integers are allowed.
                      </div>
                    </div>
                </div>
              </div> -->
              <mat-form-field class="form-group">
                  <mat-label> Number of Operators
                    </mat-label>
                  <input matInput placeholder="Enter Number of Operators"  formControlName="noOfOperator" class="formControl"/>

                <mat-error *ngIf="!!registerLspForm.get('noOfOperator').hasError('pattern')"
                  >Only Positive Integers are allowed</mat-error
                >
              </mat-form-field>

              <div class="row">
                  <div class="col-sm-4"></div>
                  <div class="col-sm-4"></div>
                  <div class="col-sm-4">
                        <button
                           mat-raised-button color="primary"
                 type="submit"
                 [disabled]="registerLspForm.invalid">Submit</button></div></div>
            </form>
          </mat-card-content>
        </mat-card>

      </div>
      <div class="col-sm-0.5"></div>
      </div></div>
